/* ChartsMouseEvent.java

	Purpose:
		
	Description:
		
	History:
		3:17 PM 2023/4/10, Created by jumperchen

Copyright (C) 2023 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart;

import org.zkoss.zk.ui.Component;
import org.zkoss.zk.ui.event.MouseEvent;

/**
 * A Charts mouse event that wraps an original mouse event and provides an API
 * to receive a Charts Optionable target.
 * @author jumperchen
 * @since 10.3.3.0
 */
public class ChartsMouseEvent extends MouseEvent {
	private final Optionable _chartsTarget;
	public ChartsMouseEvent(Optionable chartsTarget, String name, Component target) {
		super(name, target);
		_chartsTarget = chartsTarget;
	}

	public ChartsMouseEvent(Optionable chartsTarget, String name, Component target, int x, int y,
			int pageX, int pageY) {
		super(name, target, x, y, pageX, pageY);
		_chartsTarget = chartsTarget;
	}

	public ChartsMouseEvent(Optionable chartsTarget, String name, Component target, int x, int y,
			int pageX, int pageY, int keys) {
		super(name, target, x, y, pageX, pageY, keys);
		_chartsTarget = chartsTarget;
	}

	public ChartsMouseEvent(Optionable chartsTarget, String name, Component target, String area,
			int keys) {
		super(name, target, area, keys);
		_chartsTarget = chartsTarget;
	}

	/**
	 * Returns the Charts Optionable target.
	 */
	public Optionable getChartsTarget() {
		return _chartsTarget;
	}
}
