/* LangRangeSelector.java

	Purpose:
		
	Description:
		
	History:
		11:30 AM 2022/9/20, Created by jumperchen

Copyright (C) 2022 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart;

import org.zkoss.chart.util.DynamicalAttribute;

/**
 * Range selector language options for accessibility.
 * @author jumperchen
 * @since 10.2.1.0
 */
public class LangRangeSelector extends Optionable {
	private enum Attrs implements PlotAttribute, DynamicalAttribute {
		clickButtonAnnouncement,
		dropdownLabel,
		maxInputLabel,
		minInputLabel
	}

	/**
	 * <p>Default: {@code "Viewing {axisRangeDescription}"}
	 */
	public String getClickButtonAnnouncement() {
		return getAttr(Attrs.clickButtonAnnouncement,
				"Viewing {axisRangeDescription}").asString();
	}

	public void setClickButtonAnnouncement(String clickButtonAnnouncement) {
		setAttr(Attrs.clickButtonAnnouncement, clickButtonAnnouncement);
	}

	/**
	 * <p>Default: {@code "{rangeTitle}"}
	 */
	public String getDropdownLabel() {
		return getAttr(Attrs.dropdownLabel, "{rangeTitle}").asString();
	}

	public void setDropdownLabel(String dropdownLabel) {
		setAttr(Attrs.dropdownLabel, dropdownLabel);
	}

	/**
	 * <p>Default: {@code "Select end date."}
	 */
	public String getMaxInputLabel() {
		return getAttr(Attrs.maxInputLabel, "Select end date.").asString();
	}

	public void setMaxInputLabel(String maxInputLabel) {
		setAttr(Attrs.maxInputLabel, maxInputLabel);
	}

	/**
	 * <p>Default: {@code "Select start date."}
	 */
	public String getMinInputLabel() {
		return getAttr(Attrs.minInputLabel, "Select start date.").asString();
	}

	public void setMinInputLabel(String minInputLabel) {
		setAttr(Attrs.minInputLabel, minInputLabel);
	}
}
