/* LangSonification.java

	Purpose:
		
	Description:
		
	History:
		12:17 PM 2022/9/20, Created by jumperchen

Copyright (C) 2022 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart;

import org.zkoss.chart.util.DynamicalAttribute;

/**
 * Language options for sonification.
 * @author jumperchen
 * @since 10.2.1.0
 */
public class LangSonification extends Optionable {
	private enum Attrs implements PlotAttribute, DynamicalAttribute {
		playAsSoundButtonText,
		playAsSoundClickAnnouncement
	}

	/**
	 * <p>Default: {@code "Play as sound, {chartTitle}"}
	 */
	public String getPlayAsSoundButtonText() {
		return getAttr(Attrs.playAsSoundButtonText, "Play as sound, {chartTitle}").asString();
	}

	public void setPlayAsSoundButtonText(String playAsSoundButtonText) {
		setAttr(Attrs.playAsSoundButtonText, playAsSoundButtonText);
	}

	/**
	 * <p>Default: {@code "Play"}
	 */
	public String getPlayAsSoundClickAnnouncement() {
		return getAttr(Attrs.playAsSoundClickAnnouncement, "Play").asString();
	}

	public void setPlayAsSoundClickAnnouncement(
			String playAsSoundClickAnnouncement) {
		setAttr(Attrs.playAsSoundClickAnnouncement,
				playAsSoundClickAnnouncement);
	}
}
