/* Path.java

        Purpose:
                
        Description:
                
        History:
                Thu Oct 19 17:57:07 CST 2023, Created by jamson

Copyright (C) 2023 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart;

import org.zkoss.chart.util.DynamicalAttribute;

/**
 * The paths include options describing the point image.
 * @author Jamson Chan
 * @since 11.2.0.0
 */
public class Path extends Optionable {
    private enum Attrs implements PlotAttribute, DynamicalAttribute {
        definition,
        max
    }

    /**
     * Returns the definition defines a path to be drawn. It corresponds d SVG attribute.
     * <p>Default: null
     */
    public String getDefinition() {
        return getAttr(Attrs.definition, null).asString();
    }

    /**
     * Sets the definition defines a path to be drawn. It corresponds d SVG attribute.
     */
    public void setDefinition(String definition) {
        setAttr(Attrs.definition, definition);
    }

    /**
     * Returns the max option determines height of the image.
     * It is the ratio of yAxis.max to the paths.max.
     * <p>Defaults: yAxis.max
     */
    public Number getMax() {
        return getAttr(Attrs.max, (new YAxis()).getMax()).asNumber();
    }

    /**
     * Sets the max option determines height of the image.
     * It is the ratio of yAxis.max to the paths.max.
     */
    public void setMax(Number max) {
        setAttr(Attrs.max, max);
    }
}
