/* BulletPlotOptions.java

	Purpose:
		
	Description:
		
	History:
		Fri Nov 29 12:15:13 CST 2019, Created by rudyhuang

Copyright (C) 2019 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart.plotOptions;

import org.zkoss.chart.PlotAttribute;
import org.zkoss.chart.util.DynamicalAttribute;

/**
 * An option for bullet plot
 * <p>
 * All the options in this class support {@link DynamicalAttribute}.
 *
 * @author rudyhuang
 * @since 7.2.1.0
 */
public class BulletPlotOptions extends BarPlotOptions {
	private enum Attrs implements PlotAttribute, DynamicalAttribute {
		targetOptions
	}

	/**
	 * Returns all options related with look and position of targets, if any.
	 * Otherwise, create a new one.
	 */
	public TargetOptions getTargetOptions() {
		TargetOptions targetOptions = (TargetOptions) getAttr(Attrs.targetOptions);
		if (targetOptions == null) {
			targetOptions = new TargetOptions();
			setTargetOptions(targetOptions);
		}
		return targetOptions;
	}

	/**
	 * Sets all options related with look and position of targets.
	 */
	public void setTargetOptions(TargetOptions targetOptions) {
		setAttr(Attrs.targetOptions, targetOptions);
	}
}
