/* SunburstDataLabels.java

        Purpose:
                
        Description:
                
        History:
                Fri Sep 15 11:55:49 CST 2023, Created by jamson

Copyright (C) 2023 Potix Corporation. All Rights Reserved.
*/
package org.zkoss.chart.plotOptions;

import org.zkoss.chart.PlotAttribute;
import org.zkoss.chart.util.DynamicalAttribute;
/**
 * An option of data labels used for Sunburst
 * <p>
 * All the options in this class support {@link DynamicalAttribute}.
 * @author Jamson Chan
 * @since 11.2.0.0
 */
public class SunburstDataLabels extends DataLabels {
	private enum Attrs implements PlotAttribute, DynamicalAttribute {
		rotationMode
	}

	/**
	 * Returns a rotationMode on all points which lies on the same level.
	 * <p>
	 * Default: circular
	 */
	public String getRotationMode() {
		return getAttr(SunburstDataLabels.Attrs.rotationMode, "circular").asString();
	}

	/**
	 * Sets a rotationMode on all points which lies on the same level.
	 */
	public void setRotationMode(String rotationMode) {
		setAttr(SunburstDataLabels.Attrs.rotationMode, rotationMode);
	}

}
